Differences between revisions 19 and 21 (spanning 2 versions)
Revision 19 as of 2009-09-19 21:54:25
Size: 2765
Editor: DanielBolton
Comment:
Revision 21 as of 2009-09-20 01:18:11
Size: 4080
Editor: DanielBolton
Comment:
Deletions are marked like this. Additions are marked like this.
Line 4: Line 4:

<<TableOfContents(2)>>
Line 45: Line 47:
Currently [[http://packages.debian.org/search?searchon=names&keywords=firmware-linux|this package]] is only available for lenny, squeeze, and sid. Currently [[http://packages.debian.org/search?searchon=names&keywords=firmware-linux|this package]] is only available for lenny, squeeze, and sid.

== Configuring the kernel ==

You will need '''D'''irect '''R'''endering '''M'''anager as well as '''A'''ccelerated '''G'''raphics '''P'''ort support in your kernel, preferably as modules. If you are using the stock Debian kernel, you should already have these. To check for DRM support, issue this command:
{{{
grep DRM_RADEON /boot/config-$(uname -r)
}}}
The output should be:
{{{
CONFIG_DRM_RADEON=m
}}}
If this value is ''n'', then you will have to rebuild your kernel.

To check for AGP support, run:
{{{
grep AGP /boot/config-$(uname -r)
}}}
The output should be:
{{{
CONFIG_AGP=y
CONFIG_AGP_AMD64=y
CONFIG_AGP_INTEL=m
CONFIG_AGP_SIS=m
CONFIG_AGP_VIA=m
}}}
Note that you will only need support for your specific chipset.

If you do need to rebuild your kernel, you can find AGP under:
* Device Drivers --->
 * Graphics Support --->
  * /dev/agpgart (AGP Support) --->
   * (Your chipset)

and DRM under:
* Device Drivers --->
 * Graphics Support --->
  * Direct Rendering Manager --->
   * ATI Radeon

== Editing '''/etc/X11/xorg.conf''' ==

Essentially, you need to set your device's driver to either "radeon" or "radeonhd" as such:

{{{
Section "Device"
    Identifier "Device0"
    Driver "radeon"
EndSection
}}}
Line 63: Line 114:
== Install the required libraries == === Install the required libraries ===
Line 69: Line 120:
== questions == === questions ===

ATI Display Drivers

This article discusses the open-source Radeon and RadeonHD display drivers.

Determining your hardware

Run this command to determine what kind of video card you have:

lspci -v | grep VGA

Supported Cards

The radeon driver supports R100/R200 (Radeon 7000 – Radeon 9250) and R300/R400/R500 (Radeon 9500 – Radeon X1950) class chips. See the radeon page on the X wiki for more information. The radeonhd driver is for R500 and newer cards. See the the radeonhd page on the X wiki for more info.

Installing proprietary firmware

You may need to install proprietary firmware if you have one of the following Radeon-based cards:

  • Radeon R100-family
  • Radeon R200-family
  • Radeon R300-family
  • Radeon R400-family
  • Radeon R500-family
  • Radeon R600
  • Radeon RS600
  • Radeon RS690
  • Radeon RS780
  • Radeon RV610
  • Radeon RV620
  • Radeon RV630
  • Radeon RV635
  • Radeon RV670
  • Radeon RV710
  • Radeon RV730
  • Radeon RV770

The firmware in question, id est the CP/PFP microcode, can be installed by first enabling the non-free repository for your Debian release and issuing the following command:

aptitude install linux-firmware

Currently this package is only available for lenny, squeeze, and sid.

Configuring the kernel

You will need Direct Rendering Manager as well as Accelerated Graphics Port support in your kernel, preferably as modules. If you are using the stock Debian kernel, you should already have these. To check for DRM support, issue this command:

grep DRM_RADEON /boot/config-$(uname -r) 

The output should be:

CONFIG_DRM_RADEON=m

If this value is n, then you will have to rebuild your kernel.

To check for AGP support, run:

grep AGP /boot/config-$(uname -r)

The output should be:

CONFIG_AGP=y
CONFIG_AGP_AMD64=y
CONFIG_AGP_INTEL=m
CONFIG_AGP_SIS=m
CONFIG_AGP_VIA=m

Note that you will only need support for your specific chipset.

If you do need to rebuild your kernel, you can find AGP under: * Device Drivers --->

  • Graphics Support --->

    • /dev/agpgart (AGP Support) --->

      • (Your chipset)

and DRM under: * Device Drivers --->

  • Graphics Support --->

    • Direct Rendering Manager --->

      • ATI Radeon

Editing '''/etc/X11/xorg.conf'''

Essentially, you need to set your device's driver to either "radeon" or "radeonhd" as such:

Section "Device"
    Identifier     "Device0"
    Driver         "radeon"
EndSection

Enabling 3D acceleration

These notes are for an Xorg based ?xserver. To install the ATI Radeon drivers on an XFree86 installation, see ?ATIHowToXFree86.

ATI Radeon cards 8500,9000,9200 and 9250 work with Open Source drivers and support ?OpenGL 3D Graphics.

To configure X to use accelerated 3d drivers, the configuration file /etc/X11/xorg.conf should be edited as follows:

 Section "Device"
        Identifier      "ATI 3D"
        Driver          "ati"
 EndSection

 Section "Screen"
        Device          "ATI 3D"

Install the required libraries

It is necessary to install driver libraries, in order for the 3D capabilities of the card to be utilized:

 apt-get install libgl1-mesa-dri

questions

  • is there an overview which can be linked to from here?
  • is there something on how to test if it is working, resp. troubleshooting? a) A way to tell if 3d accelerated graphics are working is to use the glxinfo tool. This will return a string containing the word "yes", if 3d graphics are enabled and working:

glxinfo|grep render

See Also

?ATIHowToXFree86 Configuring XFree86 to use ATI 3D accelerated graphics

ATIProprietary Installing the closed source proprietary driver